import { createApp } from 'vue';
import TDesign from 'tdesign-vue-next';
import App from './App.vue';
import router from './router';
import '@/http';
import dayjs from 'dayjs';
import relativeTime from 'dayjs/plugin/relativeTime';
import zh from 'dayjs/locale/zh-cn';

import './styles/index.css';
import i18n from "./i18n";

dayjs.extend(relativeTime);
dayjs.locale(zh.name);

const app = createApp(App).use(router).use(TDesign);
app.use(i18n)
app.mount('#app');
